Users API
Actions in the users namespace of the Nexigon Hub API.
users_Query
POST /api/v1/actions/invoke/users_Query Query the users of the instance.
Request QueryUsersAction
No fields.
Response QueryUsersOutput
Fields (JSON object)
usersrequiredList of users.
array<QueryUsersItem>
Items
QueryUsersItem
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringemailrequiredEmail of the user.
string
displayName(fromdisplay_name) optionalName of the user.
string
isAdmin(fromis_admin) requiredWhether the user is an instance admin.
boolean
isActive(fromis_active) requiredWhether the user account has been activated.
New registrations start out inactive and are activated when the user confirms their email address.
boolean
createdAt(fromcreated_at) requiredTimestamp when the user was created.
Timestamp
string
users_GetDetails
POST /api/v1/actions/invoke/users_GetDetails Get information about a user.
Request GetUserDetailsAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId string
Response GetUserDetailsOutput
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId stringemailrequiredEmail of the user.
string displayName(fromdisplay_name) optionalName of the user.
string isAdmin(fromis_admin) requiredWhether the user is an instance admin.
boolean
users_Create
POST /api/v1/actions/invoke/users_Create Create a new user.
Request CreateUserAction
Fields (JSON object)
emailrequiredEmail of the user.
string displayName(fromdisplay_name) optionalName of the user.
string passwordoptionalPassword of the user.
string isAdmin(fromis_admin) optionalWhether the user is an instance admin.
boolean
Response CreateUserOutput
Cases
internally
β tag field result
CreatedUser was created successfully.
{ "result": "Created", ...<payload fields> } β or "content" for non-object payloadsCreateUserSuccess
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
EmailAlreadyExistsUser with the same email already exists.
{ "result": "EmailAlreadyExists" }
users_Delete
POST /api/v1/actions/invoke/users_Delete Delete a user.
Request DeleteUserAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user to delete.
UserId string
Response Empty
No fields.
users_SetDisplayName
POST /api/v1/actions/invoke/users_SetDisplayName Set the display name of a user.
Request SetUserDisplayNameAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user to update.
UserId stringdisplayName(fromdisplay_name) requiredNew name of the user.
string
Response Empty
No fields.
users_SetPassword
POST /api/v1/actions/invoke/users_SetPassword Set the password of a user.
Request SetUserPasswordAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId stringpasswordrequiredNew password of the user.
string
Response Empty
No fields.
users_SetIsAdmin
POST /api/v1/actions/invoke/users_SetIsAdmin Set whether the user is an instance administrator.
Request SetUserIsAdminAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId stringisAdmin(fromis_admin) requiredWhether the user is an instance administrator.
boolean
Response Empty
No fields.
users_ResetPassword
POST /api/v1/actions/invoke/users_ResetPassword Reset the password of a user.
This will send an email to the user with a link to reset their password.
Request ResetUserPasswordAction
Fields (JSON object)
emailrequiredEmail of the user.
string
Response Empty
No fields.
users_CompletePasswordReset
POST /api/v1/actions/invoke/users_CompletePasswordReset Complete the password reset of a user.
Request CompleteUserPasswordResetAction
Fields (JSON object)
resetToken(fromreset_token) requiredToken to use for password reset.
Jwt
Wraps
string
passwordrequiredNew password of the user.
string
Response CompleteUserPasswordResetOutput
Cases
internally
β tag field result
CompletedPassword has been reset.
{ "result": "Completed" }InvalidTokenPassword reset failed due to the token being invalid.
{ "result": "InvalidToken" }
users_QueryTokens
POST /api/v1/actions/invoke/users_QueryTokens Query the tokens of a user.
Request QueryUserTokensAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId string
Response QueryUserTokensOutput
Fields (JSON object)
tokensrequiredList of user tokens.
array<QueryUserTokensItem>
Items
QueryUserTokensItem
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
UserTokenId
stringcreatedAt(fromcreated_at) requiredCreation date of the token.
Timestamp
stringnameoptionalName of the token.
string
users_QueryOrganizations
POST /api/v1/actions/invoke/users_QueryOrganizations Query the organizations of a user.
Request QueryUserOrganizationsAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId string
Response QueryUserOrganizationsOutput
Fields (JSON object)
organizationsrequiredList of organizations.
array<QueryUserOrganizationsItem>
Items
QueryUserOrganizationsItem
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringnamerequiredName of the organization.
string
requiresSubscription(fromrequires_subscription) requiredWhether the organization requires a paid subscription.
boolean
subscriptionPlanName(fromsubscription_plan_name) optionalName of the active subscription plan, if any.
string
users_QueryOrganizationInvitations
POST /api/v1/actions/invoke/users_QueryOrganizationInvitations Query the organization invitations of a user.
Request QueryUserOrganizationInvitationsAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId string
Response QueryUserOrganizationInvitationsOutput
Fields (JSON object)
invitationsrequiredList of organization invitations.
array<QueryUserOrganizationInvitationsItem>
Items
QueryUserOrganizationInvitationsItem
Fields (JSON object)
invitationId(frominvitation_id) requiredID of the invitation.
OrganizationInvitationId
stringorganizationrequiredInformation about the organization.
QueryUserOrganizationInvitationsItemOrganization
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringnamerequiredName of the organization.
string
users_QuerySessions
POST /api/v1/actions/invoke/users_QuerySessions Query the sessions of a user.
Request QueryUserSessionsAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId string
Response QueryUserSessionsOutput
Fields (JSON object)
sessionsrequiredList of user sessions.
array<UserSession>
Items
UserSession
Fields (JSON object)
sessionId(fromsession_id) requiredID of the session.
UserSessionId
stringcreatedAt(fromcreated_at) requiredCreation date of the session.
Timestamp
stringexpiresAt(fromexpires_at) requiredExpiration date of the session.
Timestamp
stringuserAgent(fromuser_agent) requiredUser agent of the session.
string
users_GetDevicePermissions
POST /api/v1/actions/invoke/users_GetDevicePermissions Check the permissions of a user for a given device.
Request GetDevicePermissionsAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId stringdeviceId(fromdevice_id) requiredID of the device.
DeviceId string
Response GetDevicePermissionsOutput
Fields (JSON object)
hasAccess(fromhas_access) requiredWhether the user has access to the device.
boolean
users_CreateToken
POST /api/v1/actions/invoke/users_CreateToken Create a user token.
Request CreateUserTokenAction
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId stringnameoptionalName of the token.
string
Response CreateUserTokenOutput
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
UserTokenId stringtokenrequiredToken.
UserToken string
users_DeleteToken
POST /api/v1/actions/invoke/users_DeleteToken Delete a user token.
Request DeleteUserTokenAction
Fields (JSON object)
tokenId(fromtoken_id) requiredID of the token.
UserTokenId string
Response Empty
No fields.
users_TerminateSession
POST /api/v1/actions/invoke/users_TerminateSession Terminate a user session.
The acting user must own the session; sessions belonging to other users are not affected.
Request TerminateUserSessionAction
Fields (JSON object)
sessionId(fromsession_id) requiredID of the session.
UserSessionId string
Response Empty
No fields.
users_CleanupExpiredSessions
POST /api/v1/actions/invoke/users_CleanupExpiredSessions Cleanup expired user sessions.
Request CleanupExpiredUserSessionsAction
No fields.
Response Empty
No fields.
users_Register
POST /api/v1/actions/invoke/users_Register Register a new user with an email and password.
Request RegisterUserAction
Fields (JSON object)
displayName(fromdisplay_name) optionalName of the user.
string emailrequiredEmail address of the user.
string passwordrequiredPassword of the user.
string consentedToTerms(fromconsented_to_terms) requiredIndicates whether the user has consented to the terms and conditions.
This must be
trueto register a user.boolean consentedToMarketing(fromconsented_to_marketing) optionalIndicates whether the user has consented to marketing communications.
boolean
Response RegisterUserOutput
Cases
internally
β tag field result
CreatedUser registration has been created.
{ "result": "Created", ...<payload fields> } β or "content" for non-object payloadsUserRegistration
Fields (JSON object)
statusrequiredRegistration status.
UserRegistrationStatus
Cases internally β tag field
tagPendingRegistration is pending.
{ "tag": "Pending" }Waiting/ Registration is waiting for approval.
{ "tag": "Waiting" }CompletedRegistration was successful.
{ "tag": "Completed" }FailedRegistration failed.
{ "tag": "Failed" }
messageoptionalOptional message to show to the user.
string
createdAt(fromcreated_at) requiredTimestamp when the registration was created.
Timestamp
string
PendingUser registration is already pending.
{ "result": "Pending", ...<payload fields> } β or "content" for non-object payloadsUserRegistration
Fields (JSON object)
statusrequiredRegistration status.
UserRegistrationStatus
Cases internally β tag field
tagPendingRegistration is pending.
{ "tag": "Pending" }Waiting/ Registration is waiting for approval.
{ "tag": "Waiting" }CompletedRegistration was successful.
{ "tag": "Completed" }FailedRegistration failed.
{ "tag": "Failed" }
messageoptionalOptional message to show to the user.
string
createdAt(fromcreated_at) requiredTimestamp when the registration was created.
Timestamp
string
EmailAlreadyExistsUser with the same email already exists.
{ "result": "EmailAlreadyExists" }
users_ResendRegistrationEmail
POST /api/v1/actions/invoke/users_ResendRegistrationEmail
Request ResendRegistrationEmailAction
Fields (JSON object)
emailrequiredEmail address of the user.
string
Response Empty
No fields.
users_CompleteRegistration
POST /api/v1/actions/invoke/users_CompleteRegistration Complete the registration of a user.
Request CompleteRegistrationAction
Fields (JSON object)
activationToken(fromactivation_token) requiredToken to use for account activation.
Jwt
Wraps
string
Response CompleteRegistrationOutput
Cases
internally
β tag field result
CompletedRegistration was successful.
{ "result": "Completed" }FailedRegistration failed.
{ "result": "Failed" }
users_AcceptOrganizationInvitation
POST /api/v1/actions/invoke/users_AcceptOrganizationInvitation Accept a organization invitation.
Request AcceptOrganizationInvitationAction
Fields (JSON object)
invitationId(frominvitation_id) requiredID of the invitation.
OrganizationInvitationId string
Response Empty
No fields.